<?php
	
	$size = 0;
	$error = true;
	if(strtoupper($_SERVER['REQUEST_METHOD']) == 'POST' && isset($_SESSION['mobile_logged_in']) && isset($_SESSION['my_id']))
	{
		$add_err = '';
		$category = (isset($_POST['category']) && array_key_exists($_POST['category'], $sms_cats)) ? $_POST['category'] : 0;
		$text = isset($_POST['text']) ? htmlspecialchars(addslashes(trim($_POST['text']))) : '';
		$query = "SELECT ID FROM mobile_sms WHERE text like '$text'";
		$check_result = $dba->GetResult($query);
		$nums = mysql_numrows($check_result);
		if($category != 0 && $text != '' && strlen($text) <= 500 && $nums == 0)
		{
			$conf = (fnIsAdmin()) ? 'a' : 'n';
			$query = "INSERT INTO mobile_sms (pridal, time, text, cat, confirmed) VALUES ('".$_SESSION['my_id']."', NOW(), '$text', '$category', '$conf')";
//			dump($query);
			$check = $dba->ExecuteQuery($query);
			$error = !$check;
			if($error)
			{
				$add_err .= 'Chyba pri vkladaní sms do databázy, vyskúšajte prosím vložiť sms ešte raz.';
			}
			else 
			{
				$max_id = $dba->Max_ID('mobile_sms');
				$add_err .= 'SMS bola úspešne vložená s ID '.$max_id.'. Kredit Vám bude pripočítaný a SMS sa začne zobrazovať po potvrdení administrátorom.';	
			}
		}
		else 
		{
			$error = true;
			$size = strlen($text);
			if($category == 0)
			{
				$add_err .= 'Nevybrali ste kategóriu!<br/>';
			}
			if($text == '')
			{
				$add_err .= 'Nezadali ste žiaden text!<br/>';
			}
			if($size >500)
			{
				$add_err .= 'Text je príliš dlhý! Maximálna dĺžka textu je 500 znakov!<br/>';
			}
			if($nums != 0)
			{
				$row = mysql_fetch_assoc($check_result);
				$sms_id = $row['ID'];
				$add_err .= 'Táto sms sa už na 4mobile nachádza a má ID '.$sms_id;
			}
		}
	}
?>
	
	<script language="JavaScript" type="text/javascript">
	function fnCount()
	{
		var count = 0;
		var str = document.forms.frm.text.value;
		if (str.length>0)
		{
			count = str.length;
		}
		else
		{
			count = 0;
		}
		document.forms.frm.cnt.value = count;
	}
	
	</script>

	<div id="register_form01">
	  <div id="menu01_head">:: pridať sms</div>
	  <div id="melodie_01">
<?php

if(isset($add_err)) echo '<div id="form_popis02">'.$add_err.'</div>';

?>
	<br/>
	
	Pridávanie sms je dočasne pozastavené!
	<!--<form name="frm" action="index.php?module=smsky_add" method="POST">
		<textarea name="text" rows="10" cols="60" id="form_field01" onkeyup="fnCount();"><?php if(isset($text) && $error) echo $text; ?></textarea><br />
		<table width="333" align="center" border="0">
			<tr>
				<td align="left">
				<?php
				
					echo "<select name='category' class='form_field02'>";
						echo "<option value='0'>Vyberte kategóriu</option>";
						foreach ($sms_cats as $cat_id => $cat)
						{
							echo "<option value='$cat_id'";
							if(isset($_POST['category']) && $_POST['category'] == $cat_id && $error)
							{
								echo " selected='selected'";
							}
							echo ">$cat</option>";
						}
					echo "</select>";
				
				?>
				</td>
				<td align="left"><input type="text" name="cnt" size="4" class="form_field02" id="cnt" value="<?php echo $size; ?>"/> znakov<br/></td>
				<td align="right"><input id="form_button01" type="submit" name="submit" value="Pridaj" /> </td>
			</tr>
			<tr>
				<td colspan="3" align="center">
					Maximálna dĺžka textu je 500 znakov!<br/>
					Pridávajte SMS s DIAKRITIKOU! SMSky bez diakritiky nebudú potvrdené!!!<br/>
					Nepridávajte VTIPY ale vtipné SMSky! Vtipy nebudú potvrdené!!!
				</td>
			</tr>
		</table>
	</form>-->
	</div>
	</div>